Freedom-01 - Skip 1.18 or not?

    • Official Post

    Which version to we upgrade to next? 36

    The result is only visible to the participants.

    We're currently looking at the upgrade path for the Freedom-01 server, and at the moment there's a very viable option for us to skip straight past 1.18 and support 1.19 natively on Freedom-01.


    1.18 will involve a fair bit more effort to get supported than 1.19 as we currently see things, so from a technical perspective 1.19 is the preference.


    It's worth noting that in any case, we will need to be performing a wipe of the server worlds as part of the next version upgrade we do to the underlying server. Our world sizes have nearly doubled in size over the last 6 months, this combined with the substantial world-gen changes means the 1.18 or 1.19 upgrade is going to be the ideal time to do this wipe.


    I will stress, we have no date currently in mind for any upgrades, and once we've decided on how we're performing the upgrades and when, we'll make sure everyone here gets a few weeks of warning. We might potentially run two servers in parallel for a while to allow people to save and download content from the current worlds while the new server is also online so as to minimise the overall disruption to you all.


    I've added a poll, votes would be appreciated.


    EDIT: For those that want some data to help make their decision, this is the current count of attempted connections to the network in 2022 for 1.17, 1.18 and 1.19 versions of MC.


    Screenshot_2022-10-28_at_14.05.06.png

    Wild1145

    Network Owner at TotalFreedom

    Managing Director at ATLAS Media Group Ltd.

  • ryan why is it so bad that the server world size grows?

    There's only a limited amount of space the server can hold, and storage can be expensive.

    Patrolling the Mojave almost makes you wish for a nuclear winter.

    • Official Post

    ryan why is it so bad that the server world size grows?

    Because we're going to run out of space to store them, when that happens we suffer catastrophic data loss and people get very upset.


    EDIT: To also clarify, we're using around 70% of the physical servers storage, and if we transform the worlds to 1.18 / 1.19, the world sizes are expected to increase in size as part of the upgrade, on average by 50%... Which means we'd need to buy a substantially bigger server.

    • Official Post

    It's worth noting that in any case, we will need to be performing a wipe of the server worlds as part of the next version upgrade we do to the underlying server. Our world sizes have nearly doubled in size over the last 6 months, this combined with the substantial world-gen changes means the 1.18 or 1.19 upgrade is going to be the ideal time to do this wipe

    Does this include plotworld by chance?

    • Official Post

    It's worth noting that in any case, we will need to be performing a wipe of the server worlds as part of the next version upgrade we do to the underlying server. Our world sizes have nearly doubled in size over the last 6 months, this combined with the substantial world-gen changes means the 1.18 or 1.19 upgrade is going to be the ideal time to do this wipe

    Does this include plotworld by chance?

    Yes, it includes everything and anything on Freedom-01.

  • every time i open 1.19.84 i feel my constitutional right of freedom of speach as a uk citizen is wiped away ...

    Sorry, but refusing to use versions 1.19.1+ will not prevent Microsoft/Mojang from banning you. This is because that the global moderation system is implemented to Minecraft's authentication servers (it's designed that if you're banned, your authentication keys will just be dropped). This therefore means that this system is somewhat backported to older versions of the game.

  • every time i open 1.19.84 i feel my constitutional right of freedom of speach as a uk citizen is wiped away ...

    Sorry, but refusing to use versions 1.19.1+ will not prevent Microsoft/Mojang from banning you. This is because that the global moderation system is implemented to Minecraft's authentication servers (it's designed that if you're banned, your authentication keys will just be dropped). This therefore means that this system is somewhat backported to older versions of the game.

    My post was satirical in nature... Please don't respond to it seriously.


    Also, it doesn't need backporting to 1.19-... the authentication server is version agnostic for versions that support the newer API.

  • wild1145

    Closed the thread.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!